Page MenuHomePhabricator

Allow soft hyphen (­) in interface messages
Closed, ResolvedPublic

Description

MediaWiki messages should allow the soft hyphen (HTML ­) in interface messages.

I first noticed this when I saw the message [[MediaWiki:Userrights/nb]], saying "Brukerrettighetskontroll", wrapped before "ll", like this: "Brukerrettighetskontro<br />ll". To fix this I wanted to insert soft hyphens so that if it wraps, it will wrap at the word boundaries, like this: "Bruker&shy;rettighets&shy;kontroll", but when I did this the &shy; was converted to &amp;shy;.

Some examples of how it looks in various variants can be seen here: https://no.wikipedia.org/w/index.php?title=Wikipedia:Sandkasse&oldid=15777471

See also T66528.

Details

Related Gerrit Patches:

Event Timeline

jhsoby created this task.Feb 16 2016, 1:39 PM
jhsoby raised the priority of this task from to Needs Triage.
jhsoby updated the task description. (Show Details)
jhsoby added a subscriber: jhsoby.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 16 2016, 1:39 PM

Not all messages allow HTML entities. You should be able to use the actual invisible soft-hyphen character, though (for your copy-paste convenience, here it is: →­←).

Change 270953 had a related patch set uploaded (by Nikerabbit):
Allow &shy; in messages

https://gerrit.wikimedia.org/r/270953

Change 270953 merged by jenkins-bot:
Allow &shy; in messages

https://gerrit.wikimedia.org/r/270953

matmarex closed this task as Resolved.Feb 17 2016, 2:27 PM
matmarex assigned this task to Nikerabbit.
matmarex removed a project: Patch-For-Review.
matmarex set Security to None.

Change 475999 had a related patch set uploaded (by John Erling Blad; owner: John Erling Blad):
[mediawiki/core@master] Core: Allow SOFT HYPHEN to be decimal encoded

https://gerrit.wikimedia.org/r/475999

Restricted Application added a subscriber: Danmichaelo. · View Herald TranscriptNov 27 2018, 12:08 PM

Change 475999 abandoned by John Erling Blad:
Core: Allow "soft hyphen" to be decimal encoded

Reason:
This bug needs a solution, and there is a solution, but I doubt any change is going to be accepted.

https://gerrit.wikimedia.org/r/475999